GET /phone/metrics/call_logs
Operation ID: listCallLogsMetrics
Auth: unknown
Description
Call logs provide a record of all incoming and outgoing calls over Zoom Phone in an account. Use this API to list monthly call logs metrics. You can use query parameters to filter the response by date, site and MOS(Mean Opinion Score) of the call. **Prerequisites:** * Business, or Education account * Zoom Phone license <br><br> **Scopes:** `phone:read:admin`, `phone:write:admin`<br> **Rate Limit Label:** `Heavy`
Parameters (6)
(string, query, optional)
Start date for the report in `yyyy-mm-dd` format. Specify a 30 day range using the `from` and `to` parameters as the response provides a maximum of a month worth of data per API request.
(string, query, optional)
The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
(integer, query, optional, default: 30)
The number of records returned within a single call.
Constraints: {'maximum': 100}
(string, query, optional)
Filter call logs by voice quality. Zoom uses MOS of 3.5 as a general baseline to categorize calls by call quality. A MOS greater than or equal to 3.5 means good quality, while below 3.5 means poor quality. <br><br>The value of this field can be one of the following:<br> * `good`: Retrieve call logs of the call(s) with good quality of voice.<br> * `bad`: Retrieve call logs of the call(s) with good quality of voice.<br> * `all`: Retrieve all call logs without filtering by voice quality.
(string, query, optional)
Unique identifier of the [site](https://support.zoom.us/hc/en-us/articles/360020809672-Managing-multiple-sites). Use this query parameter if you have enabled multiple sites and would like to filter the response of this API call by call logs of a specific phone site.
(string, query, optional)
End date for the report in `yyyy-mm-dd` format.
No probe data for this endpoint yet.